%define patch_name	kernel-fix-drivers-i2c

Name: %patch_name
Version: 2006.10.24
Release: alt1

Summary: %patch_name - Linux kernel I2C subsystem and drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# Patches for 2.4.x

# Patches for 2.6.x
%source 2600	2.6_00_i2c-piix4-broadcom-ht1000.patch			2.6
%source 2601	2.6_01_i2c-ixp4xx-hwmon-class.patch			2.6
%source 2602	2.6_02_i2c-i801-turn-off-pec.patch			2.6/not_kernel-feat-ipmi
%source 2603	2.6_03_m41t00-fix-bitmasks.patch			2.6
%source 2604	2.6_04_scx200_acb-fix-resource-name.patch		2.6
%source 2605	2.6_05_i2c-core-ignore-parameter.patch			2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux kernel I2C subsystem and drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Tue Oct 24 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.24-alt1
- Added patches for 2.6.16:
  + 2.6_05_i2c-core-ignore-parameter.patch: i2c: fix 'ignore' module parameter
    handling

* Fri May 19 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.05.19-alt1
- Added patches for 2.6.16:
  + 2.6_04_scx200_acb-fix-resource-name.patch: scx200_acb: fix resource name
    use after free
- Removed "apply_to_2.6.16" tags (2.6.14 is no longer supported).

* Mon May 01 2006 LAKostis <lakostis at altlinux.ru> 2006.04.23-alt1.1
- Fixed 2.6_02_i2c-i801-turn-off-pec.patch not to conflict with -feat-ipmi patch.

* Sun Apr 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.23-alt1
- Added patches for 2.6.16:
  + 2.6_02_i2c-i801-turn-off-pec.patch: i2c-i801: fix resume when PEC is used
  + 2.6_03_m41t00-fix-bitmasks.patch: m41t00: fix bitmasks when writing to chip

* Sun Mar 26 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.26-alt1
- Updated for kernel 2.6.16.
- Removed obsolete patches:
  - 2.6_00_i2c-eeprom-oops.patch
  - 2.6_01_i2c-sysfs-permissions.patch
  - 2.6_02_i2c-ali1563-fix.patch
- Added patches for 2.6.16:
  + 2.6_00_i2c-piix4-broadcom-ht1000.patch: i2c-piix4: Add Broadcom HT-1000
    support
  + 2.6_01_i2c-ixp4xx-hwmon-class.patch: i2c-ixp4xx: Add hwmon class

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Removed obsolete patches:
  - 2.6_00_076-i2c_ali1563_devinit_fixes.patch
- Added patches for 2.6:
  + 2.6_00_i2c-eeprom-oops.patch: fix oops in the eeprom driver
  + 2.6_01_i2c-sysfs-permissions.patch: fix sysfs permissions in it87 and
    via686a drivers (could cause oops if write is attempted)
  + 2.6_02_i2c-ali1563-fix.patch: fix multiple bugs in i2c-ali1563 driver

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Initial release.
- Added patches from 2.6.10-as3:
  + 2.6_00_076-i2c_ali1563_devinit_fixes.patch
